nginx 升级后 模块无法使用提示报错,ngx_stream_module.so” version 1014000 instead of 1016000

原因: nginx 1.16 升级到 1.19 后 ,重启nginx 后提示报错

报错内容: ngx_stream_module.so” version 1014000 instead of 1016000 ,

方法:

1、网上的讲法 都是是让你卸载 yum remove nginx-mod* 再安装 yum install nginx-module-* ,说这个原因是因为以前nginx modules 和现在官方的modules 不匹配需要我们先将旧的modules 卸载安装新版官方的modules

2、我这边的做法是 , 直接在一台新的机器上 安装下 nginx1.19 ,然后把 ngx_stream_module.so 模块 拷贝到 报错的那台主机上的 模块 目录下,替换即可 。

 

最后 启动 成功

本文版权归 飞翔沫沫情 作者所有,欢迎转载,但未经作者同意必须保留此段声明,且在文章页面明显位置给出 原文链接 如有问题, 可发送邮件咨询,转贴请注明出处:https://www.fxkjnj.com/2563/

发表评论

登录后才能评论